Debian Bug report logs - #63391
lynx: Doesn't warn if there's an error saving a file

version graph

Package: lynx; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur.

Reported by: Charles Briscoe-Smith <cpbs@debian.org>

Date: Mon, 1 May 2000 22:33:04 UTC

Severity: grave

Tags: fixed

Found in version 2.8.2-6

Done: Adrian Bunk <bunk@fs.tum.de>

Bug is archived. No further changes may be made.

Forwarded to lynx-dev@sig.net

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christian Hudon <chrish@debian.org>:
Bug#63391; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Charles Briscoe-Smith <cpbs@debian.org>:
New Bug report received and forwarded. Copy sent to Christian Hudon <chrish@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Briscoe-Smith <cpbs@debian.org>
To: submit@bugs.debian.org
Subject: lynx: Doesn't warn if there's an error saving a file
Date: Mon, 01 May 2000 11:42:26 +0100
Package: lynx
Version: 2.8.2-6
Severity: grave

Lynx doesn't make any kind of comment when there's an error saving a
file; in particular, when downloading a file and using the "save to disk"
option, if there's no disk space left, lynx happily writes an incomplete
file with no warning.

Test this out by saving to "/dev/full".  (I made the bug "grave" because
it can cause data loss; feel free to downgrade it if you think fit.)

-- System Information
Debian Release: 2.2
Kernel Version: Linux merry 2.2.14 #1 Thu Apr 6 20:05:26 BST 2000 i586 unknown

Versions of the packages lynx depends on:
ii  debconf        0.2.80.14      Debian configuration management system
ii  libc6          2.1.3-7        GNU C Library: Shared libraries and Timezone
ii  slang1         1.3.9-1        The S-Lang programming library - runtime ver
ii  zlib1g         1.1.3-5        compression library - runtime
	^^^ (Provides virtual package libz1)

--- Begin /etc/lynx.cfg (modified conffile)
STARTFILE:http://web.bs.lan/
HELPFILE:file://localhost/usr/share/doc/lynx/lynx_help/lynx_help_main.html
DEFAULT_INDEX_FILE:http://www.ncsa.uiuc.edu/SDG/Software/Mosaic/MetaIndex.html
LOCAL_EXECUTION_LINKS_ALWAYS_ON:FALSE
LOCAL_EXECUTION_LINKS_ON_BUT_NOT_REMOTE:FALSE
TRUSTED_EXEC:none
ALWAYS_TRUSTED_EXEC:none
TRUSTED_LYNXCGI:none
NNTPSERVER:merry.bs.lan
USE_MOUSE:TRUE
DEFAULT_EDITOR:/usr/bin/sensible-editor
NO_DOT_FILES:FALSE
MINIMAL_COMMENTS:TRUE
GLOBAL_EXTENSION_MAP:/etc/mime.types
PERSONAL_EXTENSION_MAP:.mime.types
XLOADIMAGE_COMMAND:
GLOBAL_MAILCAP:/etc/mailcap
PERSONAL_MAILCAP:.mailcap
COLOR:0:lightgray:black
COLOR:1:blue:black
COLOR:2:yellow:blue
COLOR:3:green:black
COLOR:4:magenta:black
COLOR:5:blue:black
COLOR:6:red:black
COLOR:7:magenta:cyan

--- End /etc/lynx.cfg


Noted your statement that Bug has been forwarded to lynx-dev@sig.net. Request was from "H. Nanosecond" <aldomel@ix.netcom.com> to control@bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "H. Nanosecond" <aldomel@ix.netcom.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 63391-quiet@bugs.debian.org (full text, mbox):

From: "H. Nanosecond" <aldomel@ix.netcom.com>
To: lynx-dev@sig.net
Cc: 63391-quiet@bugs.debian.org
Subject: (fwd) lynx: Doesn't warn if there's an error saving a file
Date: Mon, 17 Jul 2000 23:52:23 -0400 (EDT)
Dear Lynx developers,

I am forwarding this bug submitted to Debian on to you,
please keep the 63391-quiet@bugs.debian.org in your replies
so that they are logged in the Debian bug tracking system
at http://www.debian.org/Bugs/

Thanks.


From: Charles Briscoe-Smith <cpbs@debian.org>
Subject: lynx: Doesn't warn if there's an error saving a file
To: submit@bugs.debian.org
X-Mailer: bug 3.2.10
Message-Id: <E12mDek-0000EL-00@merry.bs.lan>
Date: Mon, 01 May 2000 11:42:26 +0100

Package: lynx
Version: 2.8.2-6
Severity: grave

Lynx doesn't make any kind of comment when there's an error saving a
file; in particular, when downloading a file and using the "save to disk"
option, if there's no disk space left, lynx happily writes an incomplete
file with no warning.

Test this out by saving to "/dev/full".  (I made the bug "grave" because
it can cause data loss; feel free to downgrade it if you think fit.)





Acknowledgement sent to lynx-dev@sig.net, 63391-quiet@bugs.debian.org:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #13 received at 63391-quiet@bugs.debian.org (full text, mbox):

From: "H. Nanosecond" <aldomel@ix.netcom.com>
To: lynx-dev@sig.net, 63391-quiet@bugs.debian.org
Subject: Re: lynx-dev (fwd) lynx: Doesn't warn if there's an error saving a file
Date: Fri, 21 Jul 2000 00:20:16 -0400 (EDT)
You can also try 'ulimit -SHf 1' in bash, which makes
the max file size 1024 kbytes about.

Emacs, for example, gives these erros respectively:
IO error writing /home/user/tmp: File too large
IO error writing /dev/full: No space left on device

> Test this out by saving to "/dev/full".  (I made the bug "grave" because
> it can cause data loss; feel free to downgrade it if you think fit.)





Acknowledgement sent to owner@bugs.debian.org (Debian Bug Tracking System):
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #16 received at 63391-quiet@bugs.debian.org (full text, mbox):

From: owner@bugs.debian.org (Debian Bug Tracking System)
To: lynx-dev@sig.net, 63391-quiet@bugs.debian.org
Subject: Bug#63391: Info received and FILED only (was lynx-dev (fwd) lynx: Doesn't warn if there's an error saving a file)
Date: Thu, 20 Jul 2000 23:22:48 -0500
Thank you for the additional information you have supplied regarding
this problem report.  It has NOT been forwarded to the developers, but
will accompany the original report in the Bug tracking system.  Please
ensure that you yourself have sent a copy of the additional
information to any relevant developers or mailing lists.

If you wish to continue to submit further information on your problem,
please send it to 63391-quiet@bugs.debian.org, as before.

Please do not reply to the address at the top of this message,
unless you wish to report a problem with the Bug-tracking system.

Darren Benham
(administrator, Debian Bugs database)



Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hudon <chrish@debian.org>:
Bug#63391; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@cibalia.gkvk.hr>:
Extra info received and forwarded to list. Copy sent to Christian Hudon <chrish@debian.org>. Full text and rfc822 format available.

Message #21 received at 63391@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@cibalia.gkvk.hr>
To: 63391@bugs.debian.org
Subject: Fixed upstream
Date: Fri, 29 Dec 2000 19:22:07 +0100
Hi,

From 2.8.4dev.8 changelog:

* add error checks to LYCopyFile() and other places to report problems copying
  the downloaded file, using new functions LYCloseOutput(), LYCanWriteFile()
  (reported by H.Nanosecond <aldomel@ix.netcom.com> as Debian bug #63391) -TD

-- 
Digital Electronic Being Intended for Assassination and Nullification



Tags added: fixed Request was from mdanish@andrew.cmu.edu to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Matthew Danish <mdanish@andrew.cmu.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Adrian Bunk <bunk@fs.tum.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Charles Briscoe-Smith <cpbs@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 63391-done@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: 33563-done@bugs.debian.org, <39514-done@bugs.debian.org>, <45520-done@bugs.debian.org>, <63391-done@bugs.debian.org>, <94918-done@bugs.debian.org>, <64632-done@bugs.debian.org>, <80125-done@bugs.debian.org>, <95763-done@bugs.debian.org>, <19843-done@bugs.debian.org>, <22884-done@bugs.debian.org>, <33853-done@bugs.debian.org>, <54237-done@bugs.debian.org>, <54588-done@bugs.debian.org>, <63999-done@bugs.debian.org>, <74551-done@bugs.debian.org>, <83482-done@bugs.debian.org>, <83767-done@bugs.debian.org>, <83925-done@bugs.debian.org>, <83926-done@bugs.debian.org>, <92373-done@bugs.debian.org>, <92841-done@bugs.debian.org>, <93227-done@bugs.debian.org>, <94605-done@bugs.debian.org>, <64785-done@bugs.debian.org>, <80048-done@bugs.debian.org>
Subject: These bugs are already fixed
Date: Wed, 10 Oct 2001 15:53:56 +0200 (CEST)
These bugs are already fixed in lynx in unstable/testing. Thanks to
everyone for the NMUs!

cu
Adrian

-- 

Get my GPG key: finger bunk@debian.org | gpg --import

Fingerprint: B29C E71E FE19 6755 5C8A  84D4 99FC EA98 4F12 B400




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:22:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.